<?php
class navbar {
  // Default values for the navigation link bar
  var $str_previous = "Previous";
  var $str_next = "Next";
  var $str_first= "First";
  var $str_last = "Last";
  // Variables used internally
  var $file;
  //
  // This function creates a string that is going to be
  // added to the url string for the navigation links.
  // This is specially important to have dynamic links,
  // so if you want to add extra options to the queries,
  // the class is going to add it to the navigation links
  // dynamically.
  function build_geturl()
  {
    global $REQUEST_URI, $REQUEST_METHOD, $HTTP_GET_VARS, $HTTP_POST_VARS;

    list($fullfile, $voided) = explode("?", $REQUEST_URI);
    $this->file = $fullfile;
    $cgi = $REQUEST_METHOD == 'GET' ? $HTTP_GET_VARS : $HTTP_POST_VARS;
    reset ($cgi);
    while (list($key, $value) = each($cgi)) {
      if ($key != "rows")
        $query_string = "&" . $key . "=" . $value;
    }
    return $query_string;
  }
  // This function creates an array of all the links for the
  // navigation bar. This is useful since it is completely
  // independent from the layout or design of the page.
  // The function returns the array of navigation links to the
  // caller php script, so it can build the layout with the
  // navigation links content available.
  //
  // $option parameter (default to "all") :
  //  . "all"   - return every navigation link
  //  . "pages" - return only the page numbering links
  //  . "sides" - return only the 'Next' and / or 'Previous' links
  //
  // $show_blank parameter (default to "off") :
  //  . "off" - don't show the "Next" or "Previous" when it is not needed
  //  . "on"  - show the "Next" or "Previous" strings as plain text when it is not needed
  function getlinks($option = "all", $scv, $scv1, $scp , $number_of_pages) {

    $extra_vars = $this->build_geturl();
    $file = $this->file;
    $subscript = 0;

    $array[0] = '<A HREF="' . $file . '?' .$scv. $subscript .'&' . $scp . $extra_vars . '">' . $this->str_first . '</A>';

    for ($current = 0; $current < $number_of_pages; $current++) {

      if ((($option == "all") || ($option == "sides")) && ($current == 0)) {
        if ($scv1 != 0)
          $array[++$subscript] = '<A HREF="' . $file . '?' .$scv.($scv1 - 1) .'&' . $scp .  $extra_vars . '">' . $this->str_previous . '</A>';
      }

      if (($option == "pages") || ($option == "all") ) {
        if ($scv1 == $current)
          $array[++$subscript] = ($current > 0 ? ($current + 1) : 1);
        else
          $array[++$subscript] = '<A HREF="' . $file . '?scv1=' . $current . $extra_vars . '">' . ($current + 1) . '</A>';
      }

      if ((($option == "all") || ($option == "sides")) && ($current == ($number_of_pages - 1))) {
        if ($scv1 != ($number_of_pages - 1))
          $array[++$subscript] = '<A HREF="' . $file .  '?' .$scv.($scv1 + 1). '&' . $scp  . $extra_vars . '">' . $this->str_next . '</A>';
      }
    }
          $array[++$subscript] = '<A HREF="' . $file . '?' .$scv.($scv1 *0+$number_of_pages - 1). '&'. $scp . $extra_vars . '">' . $this->str_last . '</A>';

    return $array;
  }

}
?>
